<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.userId">var.userId</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;rows type="insert" queryID="anonymous-1">1&lt;/rows>&lt;/ResultSets></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">113</Property>
		<Property name="ISCurrentTime" type="Long">1659098456365</Property>
		<Property name="ISWorkflowName">VAM_api_database_query</Property>
		<Property name="ISModuleName">If@@@Begin</Property>
		<Property name="ISModuleId">3</Property>
		<Property name="ISProcessId">246291</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">246291</Property>
		<Property name="var.userId">mm</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api>&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;backend>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:38181&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>bpc.virtimo.net&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev07.virtimo.net:8181&lt;/key>&lt;url>http://dev07.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>mpm-dev.virtimo.net:8181&lt;/key>&lt;url>http://mpm-dev.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev03.virtimo.net:8181&lt;/key>&lt;url>http://dev03.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev03.virtimo.net:8181, localhost&lt;/key>&lt;url>http://dev03.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api&gt;&lt;am>&lt;validate>false&lt;/validate>&lt;/am>&lt;userGroupName/>&lt;/configuration>&lt;startTimestamp>1659098456208&lt;/startTimestamp>&lt;/session></Property>
		<Property name="var.anonymousUserId">mm</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.userId"/>
  &lt;xsl:template match="/">&lt;queries>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM USE_ORGANIZATIONS WHERE userID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.userId)"/>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM USE_ROLES WHERE userID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.userId)"/>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM USE_PERMISSIONS WHERE userID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.userId)"/>&lt;/value>&lt;!--USE_PERMISSIONS wird gar nicht mehr verwendet, daher Statement ggfs. entfernen, falls die Tabelle gar nicht mehr existiert-->&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM USERS WHERE ID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.userId)"/>&lt;/value>&lt;/query>&lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>